## chromium 76.0.3809.71

=== debian/changelog ===
chromium (76.0.3809.71-1) unstable; urgency=medium

  * New upstream beta release.
  * Recommend system-config-printer (closes: #929106).
  * Add -fno-delete-null-pointer-checks back into the build flags.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 24 Jul 2019 22:51:41 +0000

chromium (76.0.3809.62-1) unstable; urgency=medium

  * New upstream beta release.
    - Fixes error restoring multiple profiles on startup (closes: #930469).
  * Update standards version to 4.4.0.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 10 Jul 2019 23:52:45 +0000

chromium (75.0.3770.90-1) unstable; urgency=medium

  [ Riku Voipio ]
  * Fix build on armhf (closes: #930348).

  [ Michael Gilbert ]
  * New upstream security release.
    - CVE-2019-5842: Use-after-free in Blink. Reported by BUGFENSE
  * Disable hardware accelerated video (closes: #926032).
  * Fix signedness error when built with gcc (closes: #914886).
    - Thanks to Maciej S. Szmigiero.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 14 Jun 2019 00:10:43 +0000

chromium (75.0.3770.80-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2019-5824: Parameter passing error in media player. Reported by
      leecraso and Guang Gong
    - CVE-2019-5825: Out-of-bounds write in V8. Reported by Gengming Liu,
      Jianyu Chen, Zhen Feng, and Jessica Liu
    - CVE-2019-5826: Use-after-free in IndexedDB. Reported by Gengming Liu,
      Jianyu Chen, Zhen Feng, and Jessica Liu
    - CVE-2019-5827: Out-of-bounds access issue in SQLite. Reported by
      mlfbrown
    - CVE-2019-5828: Use after free in ServiceWorker. Reported by leecraso and
      Guang Gong
    - CVE-2019-5829: Use after free in Download Manager. Reported by Lucas
      Pinheiro
    - CVE-2019-5830: Incorrectly credentialed requests in CORS. Reported by
      Andrew Krasichkov
    - CVE-2019-5831: Incorrect map processing in V8. Reported by yngwei
    - CVE-2019-5832: Incorrect CORS handling in XHR. Reported by Sergey Shekyan
    - CVE-2019-5833: Inconsistent security UI placement. Reported by Khalil
      Zhani
    - CVE-2019-5834: URL spoof in Omnibox on iOS. Reported by Khalil Zhani
    - CVE-2019-5835: Out of bounds read in Swiftshader. Reported by Wenxiang
      Qian
    - CVE-2019-5836: Heap buffer overflow in Angle. Reported by Omair
    - CVE-2019-5837: Cross-origin resources size disclosure in Appcache.
      Reported by Adam Iwaniuk
    - CVE-2019-5838: Overly permissive tab access in Extensions. Reported by
      David Erceg
    - CVE-2019-5839: Incorrect handling of certain code points in Blink.
      Reported by Masato Kinugawa
    - CVE-2019-5840: Popup blocker bypass. Reported by Eliya Stein and Jerome
      Dangu

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 09 Jun 2019 18:59:50 +0000

chromium (75.0.3770.10-1) experimental; urgency=medium

  * New upstream development release.
    - Fixes crash when launching chromium a second time (closes: #927913).
  * Document how to use widevine in README.debian (closes: #929026).
  * Apply vaapi update from the Fedora chromium 73 package (closes: #926032).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 09 Jun 2019 18:35:36 +0000

chromium (74.0.3729.108-1) unstable; urgency=medium

  * New upstream stable release.
    - Eliminates flood of vsync error messages (closes: #901831).
    - Correctly shuts down when SIGTERM is recieved (closes: #924901).
    - Fixes regression in hardware accelerated video (closes: #926032).
    - CVE-2019-5805: Use after free in PDFium. Reported by Anonymous
    - CVE-2019-5806: Integer overflow in Angle. Reported by Wen Xu
    - CVE-2019-5807: Memory corruption in V8. Reported by TimGMichaud
    - CVE-2019-5808: Use after free in Blink. Reported by cloudfuzzer
    - CVE-2019-5809: Use after free in Blink. Reported by Mark Brand
    - CVE-2019-5810: User information disclosure in Autofill. Reported by Mark
      Amery
    - CVE-2019-5811: CORS bypass in Blink. Reported by Jun Kokatsu
    - CVE-2019-5813: Out of bounds read in V8. Reported by Aleksandar Nikolic
    - CVE-2019-5814: CORS bypass in Blink. Reported by @AaylaSecura1138
    - CVE-2019-5815: Heap buffer overflow in Blink. Reported by Nicolas
      Grégoire
    - CVE-2019-5818: Uninitialized value in media reader. Reported by Adrian
      Tolbaru
    - CVE-2019-5819: Incorrect escaping in developer tools. Reported by Svyat
      Mitin
    - CVE-2019-5820: Integer overflow in PDFium. Reported by pdknsk
    - CVE-2019-5821: Integer overflow in PDFium. Reported by pdknsk
    - CVE-2019-5822: CORS bypass in download manager. Reported by Jun Kokatsu
    - CVE-2019-5823: Forced navigation from service worker. Reported by David
      Erceg

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 24 Apr 2019 00:08:54 +0000
