=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 
 # extra flags to reduce warnings that aren't very useful
 export CXXFLAGS+=-Wno-pedantic \
+                 -Wno-unused-result \
                  -Wno-unused-function \
                  -Wno-unused-variable \
                  -Wno-unused-but-set-variable \
@@ -27,6 +28,7 @@
 
 # ignore warnings for minor mistakes that are too common
 export CXXFLAGS+=-Wno-return-type \
+                 -Wno-parentheses \
                  -Wno-misleading-indentation \
 
 # ignore warnings that are not supported well until gcc 8
@@ -42,6 +44,9 @@
                  -Wno-class-memaccess \
                  -Wno-invalid-offsetof \
                  -Wno-packed-not-aligned \
+
+# do not optimize away null pointer safety checks
+export CXXFLAGS+=-fno-delete-null-pointer-checks
 
 # disable clang options
 defines=is_clang=false clang_use_chrome_plugins=false
@@ -76,6 +81,7 @@
          use_custom_libcxx=false \
          use_gnome_keyring=false \
          use_unofficial_version_number=false \
+         enable_vr=false \
          enable_nacl=false \
          enable_nacl_nonsfi=false \
          enable_swiftshader=false \
@@ -84,13 +90,12 @@
          enable_iterator_debugging=false \
          enable_hangout_services_extension=false \
          optimize_webui=false \
+         blink_symbol_level=0 \
          treat_warnings_as_errors=false \
          linux_use_bundled_binutils=false \
-         remove_webcore_debug_symbols=true \
 
 # enabled features
 defines+=use_gio=true \
-         use_vaapi=true \
          use_pulseaudio=true \
          link_pulseaudio=true \
          enable_widevine=true \
@@ -100,6 +105,7 @@
          use_system_libjpeg=true \
          use_system_freetype=true \
          use_system_harfbuzz=true \
+         use_system_libopenjpeg2=true \
          use_jumbo_build=true \
          jumbo_file_merge_limit=8 \
          concurrent_links=1 \
@@ -125,7 +131,6 @@
 	dh $@
 
 out/Release/gn:
-	cp base/numerics/safe_conversions_arm_impl.h base/numerics/safe_math_arm_impl.h tools/gn/base/numerics
 	./tools/gn/bootstrap/bootstrap.py --skip-generate-buildfiles -j$(njobs)
 
 override_dh_auto_configure:
