=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: chromium
 Section: web
 Priority: optional
-Maintainer: Debian Chromium Team <chromium@packages.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Chromium Team <chromium@packages.debian.org>
 Uploaders: Michael Gilbert <mgilbert@debian.org>, Riku Voipio <riku.voipio@linaro.org>
 Vcs-Git: https://salsa.debian.org/chromium-team/chromium.git
 Vcs-Browser: https://salsa.debian.org/chromium-team/chromium
 Homepage: http://www.chromium.org/Home
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper (>= 11),
@@ -171,6 +172,7 @@
  chromium-sandbox,
  fonts-liberation,
  notification-daemon,
+ system-config-printer,
 Breaks:
  chromium (<< ${binary:Version}),
 Replaces:
