=== debian/rules ===
--- 
+++ 
@@ -90,7 +90,6 @@
          enable_iterator_debugging=false \
          enable_hangout_services_extension=false \
          optimize_webui=false \
-         blink_symbol_level=0 \
          treat_warnings_as_errors=false \
          linux_use_bundled_binutils=false \
