=== debian/rules ===
--- 
+++ 
@@ -44,9 +44,6 @@
                  -Wno-class-memaccess \
                  -Wno-invalid-offsetof \
                  -Wno-packed-not-aligned \
-
-# do not optimize away null pointer safety checks
-export CXXFLAGS+=-fno-delete-null-pointer-checks
 
 # disable clang options
 defines=is_clang=false clang_use_chrome_plugins=false
@@ -90,6 +87,7 @@
          enable_iterator_debugging=false \
          enable_hangout_services_extension=false \
          optimize_webui=false \
+         blink_symbol_level=0 \
          treat_warnings_as_errors=false \
          linux_use_bundled_binutils=false \
