=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: chromium
 Section: web
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Chromium Team <chromium@packages.debian.org>
+Maintainer: Debian Chromium Team <chromium@packages.debian.org>
 Uploaders: Michael Gilbert <mgilbert@debian.org>, Riku Voipio <riku.voipio@linaro.org>
 Vcs-Git: https://salsa.debian.org/chromium-team/chromium.git
 Vcs-Browser: https://salsa.debian.org/chromium-team/chromium
 Homepage: http://www.chromium.org/Home
-Standards-Version: 4.4.0
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper (>= 11),
@@ -87,7 +86,6 @@
 
 Package: chromium
 Architecture: i386 amd64 arm64 armhf
-Built-Using: ${Built-Using}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -172,7 +170,6 @@
  chromium-sandbox,
  fonts-liberation,
  notification-daemon,
- system-config-printer,
 Breaks:
  chromium (<< ${binary:Version}),
 Replaces:
